#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  libepoxy-1.5.10

- Next

  libxklavier-5.4

- Up
- Home

# libnotify-0.8.8

## Introduction to libnotify

The libnotify library is used to send desktop notifications to a notification daemon, as defined in the Desktop Notifications spec. These notifications can be used to inform the user about an event or display some form of information without getting in the user's way.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libnotify/0.8/libnotify-0.8.8.tar.xz

- Download MD5 sum: 35bef24dc1e9a336394556d09345e078

- Download size: 116 KB

- Estimated disk space required: 2.2 MB

- Estimated build time: less than 0.1 SBU

### libnotify Dependencies

#### Required

gdk-pixbuf-2.44.6

#### Recommended

GTK-4.22.4 (required for tests)

#### Optional (Required if building GNOME)

GLib-2.88.0 (with GObject Introspection)

#### Optional

Gi-DocGen-2026.1 and xmlto-0.0.29 (for documentation), dbusmock-0.38.1 and xvfb-run (to run the test suite)

#### Required (runtime)

At least one of notification-daemon-3.20.0, xfce4-notifyd-0.9.7, or lxqt-notificationd-2.4.0

### Note

GNOME Shell and KDE KWin provide their own notification daemons.

## Installation of libnotify

Install libnotify by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                -D man=false        \
                ..                  &&
    ninja

To test the results, you must have the xvfb-run program installed into /usr/bin. If you have xvfb-run, issue: ninja test to run the tests.

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@ / 'libnotify'@" \
        -i ../docs/reference/meson.build   &&
    meson configure -D gtk_doc=true        &&
    ninja

Now, as the `root` user:

    ninja install &&
    if [ -e /usr/share/doc/libnotify ]; then
      rm -rf /usr/share/doc/libnotify-0.8.8
      mv -v  /usr/share/doc/libnotify{,-0.8.8}
    fi

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D tests=false`: Use this option if you have not installed the recommended dependency GTK-4.22.4.

## Contents

Installed Program: notify-send
Installed Library: libnotify.so
Installed Directories: /usr/include/libnotify and /usr/share/gtk-doc/html/libnotify

### Short Descriptions

notify-send | is a command used to send notifications
`libnotify.so` | contains the libnotify API functions

- Prev

  libepoxy-1.5.10

- Next

  libxklavier-5.4

- Up
- Home